/**
 stylesheet for darcs repository browser
**/

a:link, a:visited {
  color: blue;
  text-decoration: none;
}

a:hover { text-decoration: underline; }
a.sort  { color: black; }
a.revsort  { 
  color: black;
  font-size: 75%;
}
a.home  { color: #9292C9; }

body { margin: 10px 10px 10px 10px; }

h1.target {
  font-size: 150%;
  font-weight: bold;
}

h2.patch {
  font-size: 125%;
  font-weight: bold;
  margin-top: -10px;
  padding-left: 10px;
}

h2.author {
  font-size: smaller;
  margin-top: -10px;
  font-weight: bold;
  padding-left: 30px;
}

input.patches {  margin-right: 20px; }
label.tag     {  margin-right: 5px; }

span.path, span.path > a { color: #2A2A6B; }

span.version {
  color: #9292C9;  
  margin-left: 75px;
}

span.comment {
  color: #2A2A6B;
  white-space: pre;
}

th,td {
  text-align: left;
  padding: 5px 10px 5px 10px;  
}

tr.annotate { background-color: #FFAAAA; }
tr.browse { background-color: #FFFF99; }
tr.patches { background-color: #AAFFAA; }
tr.directory { background-color: #CFCFCF; }
tr.file, tr.patch, tr.modified-file { background-color: #DCDCDA; }
tr.modified-file, tr.add-remove-file { background-color: #DCDCDA; }

pre {
    margin: 0 0 0 0;
}

a.added-line {
    color: #00AA00;
    float: left;
}

a.normal-line {
    color: #000000;
    float: left;
}

a.removed-line {
    color: #CC0000;
    float: left;
    text-decoration: line-through;
}

a.removed-by {
    clear: right;
    color: #CC0000;
    float: right;
    font-size: 125%;
}
